Subject: Re: rm circular reference problem
From: [email-masked] (Jim Balter)

24 Jan 1997 23:55:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <c=US%a=_%p=OrCAD%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ron Forrester <[email-masked]>
Original-CC: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Ron Forrester wrote:
> 
> I am using b17.1. I still have problems with rm -rf saying that there is
> a circular reference (and that my disk is almost certainly corrupt :)
> when removing entire trees.
> 
> Is this still a known problem (saw nothing in the mailing list
> archives...
> Is there a workaround?

rm checks inode numbers to decide whether files are identical.
It is well known (has been discussed here) that cygwin's method
for generating inode numbers is broken.

[For the "benefit" of all those people who get perturbed about
"meta-discussions" on this group, I'll point out that this, like the
majority of questions on this list, pertains to the unix emulation, and
so perhaps those who aren't interested in such things should form their
own mingw32 mailing list.]

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".